class 'ExtraMGScreenBase' (ExtraScreenBase)

function ExtraMGScreenBase:__init(name)
	ExtraScreenBase.__init(self, name)

	self:showPage('miniGames')
end
-------------------------------------------------------------------------------

function ExtraMGScreenBase:createButtonsTable()
	local buttons =
	{
		['prev'] =
		{
			entity	= self:getEntityNamed('bttn_left'),
			press	= bind(self.onPrevPress, self),
		},
		['next'] =
		{
			entity	= self:getEntityNamed('bttn_right'),
			press	= bind(self.onNextPress, self),
		},
		['play'] =
		{
			entity	= self:getEntityNamed('bttn_play'),
			press	= bind(self.onPlayPress, self),
		},
		['menu'] =
		{
			entity	= self:getEntityNamed('bttn_menu'),
			press	= bind(self.onMenuPress, self),
		},
	}
	return buttons
end
-------------------------------------------------------------------------------

function ExtraMGScreenBase:initPages()
	self.pages =
	{
		['miniGames'] =
		{
			entity  = ExtraMiniGames(self, 2),
			buttons = {'prev', 'next', 'play'}
		},
	}
end
-------------------------------------------------------------------------------